NI Instrument Driver Finder Does Not Work After Installing LabVIEW 2017 SP1

Updated Jun 29, 2018

Reported In

Software

  • LabVIEW 2017 SP1 Base
  • LabVIEW 2017 SP1 Full
  • LabVIEW 2017 SP1 Home Bundle
  • LabVIEW 2017 SP1 Professional

Issue Details

I installed LabVIEW 2017 SP1, but going to "Help->Find Instrument Drivers" results in a dialog box that begins with the phrase "NI Instrument Driver Finder has encountered problems connecting to the Instrument Driver Network."

Solution

LabVIEW 2017 SP1 shipped with the incorrect version of the following DLLs:
 
<LabVIEW 2017>\vi.lib\Platform\idfinder\niwsid2_proxy.dll
<LabVIEW 2017>\vi.lib\Platform\idfinder\niwsmgr2_proxy.dll
 
To resolve the issue, replace those DLLs with the versions attached to this KB. Note that you will need the version that corresponds to your bitness of LabVIEW.

WAS THIS ARTICLE HELPFUL?

Not Helpful